Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class RepSimParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.SimParams
          umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams

Direct Known Subclasses:
  CTMCRepSimParams, StratSimParams

    public class RepSimParams

extends SimParams

Represents parameters for a contact center simulation using independent replications to evaluate performance measures for a finite horizon and possibly non-stationary system.

Field Summary
`protected Integer` | `maxReplications`
`protected int` | `minReplications`
`protected int[]` | `outReplications`
`protected PerPeriodCollectingMode` | `perPeriodCollectingMode`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`callTrace, controlVariables, cpuTimeLimit, enableChrono, estimateContactTypeAgentGroup, keepObs, normalizeToDefaultUnit, randomStreams, report, restrictToPrintedStat, sequentialSampling`

Constructor Summary
`RepSimParams()`

Method Summary
`int` | `getMaxReplications()` Gets the value of the maxReplications property.
`int` | `getMinReplications()` Gets the value of the minReplications property.
`int[]` | `getOutReplications()`
`int` | `getOutReplications(int idx)`
`int` | `getOutReplicationsLength()`
`PerPeriodCollectingMode` | `getPerPeriodCollectingMode()` Gets the value of the perPeriodCollectingMode property.
`boolean` | `isSetMaxReplications()`
`boolean` | `isSetMinReplications()`
`boolean` | `isSetOutReplications()`
`boolean` | `isSetPerPeriodCollectingMode()`
`void` | `setMaxReplications(int value)` Sets the value of the maxReplications property.
`void` | `setMinReplications(int value)` Sets the value of the minReplications property.
`void` | `setOutReplications(int[] values)`
`int` | `setOutReplications(int idx, int value)`
`void` | `setPerPeriodCollectingMode(PerPeriodCollectingMode value)` Sets the value of the perPeriodCollectingMode property.
`void` | `unsetMaxReplications()`
`void` | `unsetOutReplications()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`getCallTrace, getControlVariables, getCpuTimeLimit, getRandomStreams, getReport, getSequentialSampling, isEnableChrono, isEstimateContactTypeAgentGroup, isKeepObs, isNormalizeToDefaultUnit, isRestrictToPrintedStat, isSetCallTrace, isSetControlVariables, isSetCpuTimeLimit, isSetEnableChrono, isSetEstimateContactTypeAgentGroup, isSetKeepObs, isSetNormalizeToDefaultUnit, isSetRandomStreams, isSetReport, isSetRestrictToPrintedStat, isSetSequentialSampling, setCallTrace, setCpuTimeLimit, setEnableChrono, setEstimateContactTypeAgentGroup, setKeepObs, setNormalizeToDefaultUnit, setRandomStreams, setReport, setRestrictToPrintedStat, unsetControlVariables, unsetEnableChrono, unsetEstimateContactTypeAgentGroup, unsetKeepObs, unsetNormalizeToDefaultUnit, unsetRestrictToPrintedStat, unsetSequentialSampling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outReplications

    protected int[] outReplications

### minReplications

    protected int minReplications

### maxReplications

    protected Integer maxReplications

### perPeriodCollectingMode

    protected PerPeriodCollectingMode perPeriodCollectingMode

Constructor Detail

### RepSimParams

    public RepSimParams()

Method Detail

### getOutReplications

    public int[] getOutReplications()

  Returns:
    array of `Integer`

### getOutReplications

    public int getOutReplications(int idx)

  Returns:
    one of `Integer`

### getOutReplicationsLength

    public int getOutReplicationsLength()

### setOutReplications

    public void setOutReplications(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setOutReplications

    public int setOutReplications(int idx,
                                  int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetOutReplications

    public boolean isSetOutReplications()

### unsetOutReplications

    public void unsetOutReplications()

### getMinReplications

    public int getMinReplications()

  Gets the value of the minReplications property.

### setMinReplications

    public void setMinReplications(int value)

  Sets the value of the minReplications property.

### isSetMinReplications

    public boolean isSetMinReplications()

### getMaxReplications

    public int getMaxReplications()

  Gets the value of the maxReplications property.

  Returns:
    possible object is `Integer`

### setMaxReplications

    public void setMaxReplications(int value)

  Sets the value of the maxReplications property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxReplications

    public boolean isSetMaxReplications()

### unsetMaxReplications

    public void unsetMaxReplications()

### getPerPeriodCollectingMode

    public PerPeriodCollectingMode getPerPeriodCollectingMode()

  Gets the value of the perPeriodCollectingMode property.

  Returns:
    possible object is `PerPeriodCollectingMode`

### setPerPeriodCollectingMode

    public void setPerPeriodCollectingMode(PerPeriodCollectingMode value)

  Sets the value of the perPeriodCollectingMode property.

  Parameters:
    `value` - allowed object is `PerPeriodCollectingMode`

### isSetPerPeriodCollectingMode

    public boolean isSetPerPeriodCollectingMode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.